Bug 150381 - xsane segfaults when resizing preview windows
Summary: xsane segfaults when resizing preview windows
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: xsane   
(Show other bugs)
Version: 3
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-05 08:21 UTC by Gilles Berger Sabbatel
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-07 14:09:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gilles Berger Sabbatel 2005-03-05 08:21:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020 Epiphany/1.4.4

Description of problem:
When xsane is started, the preview windows is displayed whith 
a zero vertical size.  Xsane segfaults right after resizing the preview 
window.

After deleting ~/.sane/xsane/xsane.rc, xsane worjs fine, but the
same problem reappears when xsane is restarted a second time.

Version-Release number of selected component (if applicable):
xsane-0.92-13

How reproducible:
Always

Steps to Reproduce:
1. start xsane with an existing configuration file : preview windows
appears with a null vertical size
2. try to resize the preview window
    

Actual Results:  xsane segfaults

Expected Results:  xsane should display a non-zero sized preview
window, and should
not segfault when resizing.

Additional info:

This problem may be related to some recent update, as xsane worked
fine until tuesday 1st of march.

Comment 1 Tim Waugh 2005-04-07 14:09:45 UTC
Sorry, I haven't been able to reproduce this here. :-/


Note You need to log in before you can comment on or make changes to this bug.